import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikJobProps.dart';

UikJobProps $UikJobPropsFromJson(Map<String, dynamic> json) {
  final UikJobProps uikJobProps = UikJobProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikJobProps.id = id;
  }

  final double? padding = jsonConvert.convert<double>(json['padding']);
  if (padding != null) {
    uikJobProps.padding = padding;
  }
  final double? elevation = jsonConvert.convert<double>(json['elevation']);
  if (elevation != null) {
    uikJobProps.elevation = elevation;
  }
  final double? borderRadius =
      jsonConvert.convert<double>(json['borderRadius']);
  if (borderRadius != null) {
    uikJobProps.borderRadius = borderRadius;
  }
  final double? startRange = jsonConvert.convert<double>(json['startRange']);
  if (startRange != null) {
    uikJobProps.startRange = startRange;
  }

  final double? endRange = jsonConvert.convert<double>(json['endRange']);
  if (endRange != null) {
    uikJobProps.endRange = endRange;
  }
  final int? vacantSeat = jsonConvert.convert<int>(json['vacantSeat']);
  if (vacantSeat != null) {
    uikJobProps.vacantSeat = vacantSeat;
  }
  final String? image = jsonConvert.convert<String>(json['image']);
  if (image != null) {
    uikJobProps.image = image;
  }
  final String? jobNameText = jsonConvert.convert<String>(json['jobNameText']);
  if (jobNameText != null) {
    uikJobProps.jobNameText = jobNameText;
  }
  final String? companyText = jsonConvert.convert<String>(json['companyText']);
  if (companyText != null) {
    uikJobProps.companyText = companyText;
  }
  final String? descriptionText =
      jsonConvert.convert<String>(json['descriptionText']);
  if (descriptionText != null) {
    uikJobProps.descriptionText = descriptionText;
  }
  final String? locationText =
      jsonConvert.convert<String>(json['locationText']);
  if (locationText != null) {
    uikJobProps.locationText = locationText;
  }
  final String? experienceText =
      jsonConvert.convert<String>(json['experienceText']);
  if (experienceText != null) {
    uikJobProps.experienceText = experienceText;
  }
  final String? jobTypeText = jsonConvert.convert<String>(json['jobTypeText']);
  if (jobTypeText != null) {
    uikJobProps.jobTypeText = jobTypeText;
  }
  final String? educationText =
      jsonConvert.convert<String>(json['educationText']);
  if (educationText != null) {
    uikJobProps.educationText = educationText;
  }

  return uikJobProps;
}
