import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_circular_click_button_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikCircularClickButtonProps extends WidgetProps {
  late String id;
  late Color activeColor = Color(0xFFFFD60A);
  late Color inactiveColor = const Color.fromARGB(255, 227, 227, 227);
  late double width = 25;
  late double height = 25;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;

  UikCircularClickButtonProps();

  factory UikCircularClickButtonProps.fromJson(Map<String, dynamic> json) =>
      $UikCircularClickButtonPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikCircularClickButtonPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
