// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';

import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/WidgetProps.dart';
import 'package:ui_sdk/generated/json/UikExpandedText.g.dart';

@JsonSerializable()
class UikExpandedTextProps extends WidgetProps {
  late String id;
  late String text = "";
  // late double? width = null;
  late double? height = 0;
  late int maxlines = 3;
  // late double childAspectRatio = 0.6;
  late double leftPadding = 0.0;
  late double topMargin = 0.0;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late double size = 12;

  late bool isScrollable = true;
  late UikAction action;
  UikExpandedTextProps();

  factory UikExpandedTextProps.fromJson(Map<String, dynamic> json) =>
      $UikExpandedTextPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
