import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikCircularClickButtonProps.dart';
import 'package:ui_sdk/utils/extensions.dart';

UikCircularClickButtonProps $UikCircularClickButtonPropsFromJson(
    Map<String, dynamic> json) {
  final UikCircularClickButtonProps uikCircularClickButtonProps =
      UikCircularClickButtonProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikCircularClickButtonProps.id = id;
  }
  final String? activeColor = jsonConvert.convert<String>(json['activeColor']);
  if (activeColor != null) {
    uikCircularClickButtonProps.activeColor = activeColor.toColor();
  }
  final String? inactiveColor =
      jsonConvert.convert<String>(json['inactiveColor']);
  if (inactiveColor != null) {
    uikCircularClickButtonProps.inactiveColor = inactiveColor.toColor();
  }
  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikCircularClickButtonProps.width = width;
  }
  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikCircularClickButtonProps.height = height;
  }
  final double? leftMargin = jsonConvert.convert<double>(json["leftMargin"]);
  if (leftMargin != null) {
    uikCircularClickButtonProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json["rightMargin"]);
  if (rightMargin != null) {
    uikCircularClickButtonProps.rightMargin = rightMargin;
  }

  return uikCircularClickButtonProps;
}

Map<String, dynamic> $UikCircularClickButtonPropsToJson(
    UikCircularClickButtonProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['activeColor'] = entity.activeColor;
  data['inactiveColor'] = entity.inactiveColor;
  // data['activebackgroundColor'] = entity.activebackgroundColor;
  // data['inactivetopColor'] = entity.inactivetopColor;
  return data;
}
